package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity 
@Table(name="PersepsiPasien_T")
public class PersepsiPasien extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectPasienDaftarFk")
	@NotNull(message="PasienDaftar Harus Diisi")
	@Caption(value="PasienDaftar")
	private AntrianPasienDiPeriksa pasienDaftar;
	
	@Column(name = "ObjectPasienDaftarFk", insertable=false,updatable=false, nullable=false)
	private String pasienDaftarId;

	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@ManyToOne
	@JoinColumn(name = "ObjectKesehatanFk")
	@NotNull(message="Object Kesehatan Harus Diisi")
	@Caption(value="Object Kesehatan")	
	private StatusKesehatan kesehatan;
	
	@Column(name = "ObjectKesehatanFk", insertable=false,updatable=false, nullable=false)
	private Integer kesehatanId;

	@ManyToOne
	@JoinColumn(name = "ObjectPenyebabPenyakitFk")
	@NotNull(message="Object PenyebabPenyakit Harus Diisi")
	@Caption(value="Object PenyebabPenyakit")	
	private StatusPenyebabPenyakit penyebabPenyakit;
	
	@Column(name = "ObjectPenyebabPenyakitFk", insertable=false,updatable=false, nullable=false)
	private Integer penyebabPenyakitId;

	@ManyToOne
	@JoinColumn(name = "ObjectYangDilakukanFk")
	@NotNull(message="Object YangDilakukan Harus Diisi")
	@Caption(value="Object YangDilakukan")	
	private StatusYangDilakukan yangDilakukan;
	
	@Column(name = "ObjectYangDilakukanFk", insertable=false,updatable=false, nullable=false)
	private Integer yangDilakukanId;

	public AntrianPasienDiPeriksa getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(AntrianPasienDiPeriksa pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public StatusKesehatan getKesehatan() {
		return kesehatan;
	}

	public void setKesehatan(StatusKesehatan kesehatan) {
		this.kesehatan = kesehatan;
	}

	public StatusPenyebabPenyakit getPenyebabPenyakit() {
		return penyebabPenyakit;
	}

	public void setPenyebabPenyakit(StatusPenyebabPenyakit penyebabPenyakit) {
		this.penyebabPenyakit = penyebabPenyakit;
	}

	public StatusYangDilakukan getYangDilakukan() {
		return yangDilakukan;
	}

	public void setYangDilakukan(StatusYangDilakukan yangDilakukan) {
		this.yangDilakukan = yangDilakukan;
	}

}
